% \def\filename{ert-l.cls}
% \def\fileversion{2.03}
% \def\filedate{2016/10/18}
%
% \iffalse meta-comment
%
% American Mathematical Society
% Technical Support
% Publications Technical Group
% 201 Charles Street
% Providence, RI 02904
% USA
% tel: (401) 455-4080
%      (800) 321-4267 (USA and Canada only)
% fax: (401) 331-3842
% email: tech-support@ams.org
%
% Copyright 2009, 2016 American Mathematical Society.
%
% This work may be distributed and/or modified under the
% conditions of the LaTeX Project Public License, either version 1.3c
% of this license or (at your option) any later version.
% The latest version of this license is in
%   http://www.latex-project.org/lppl.txt
% and version 1.3c or later is part of all distributions of LaTeX
% version 2005/12/01 or later.
% 
% This work has the LPPL maintenance status `maintained'.
% 
% The Current Maintainer of this work is the American Mathematical
% Society.
% 
% \fi

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ert-l}[2016/10/18 v2.03 Representation Theory Document Class]

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{amsart}}
\ProcessOptions

%    Requires amsart.cls dated 2 July 2002 or later.
\LoadClass[e-only]{amsart}[2009/07/02]

%    \rlap to keep the second line from breaking at .5\hsize
\def\publname{%
  REPRESENTATION THEORY\newline
  \rlap{An Electronic Journal of the American Mathematical Society}}

\def\ISSN{1088-4165}

\copyrightinfo{\currentyear}%    % copyright year
  {American Mathematical Society}% copyright holder

\setcounter{page}{1}% reset from 0 as done by \pagespan

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    The following patches provide elements not included in or different
%    from those in the the public version of amsart.cls. [bnb, 1996/10/17]
\@ifundefined{AMSPPS}{}{\endinput}

% Misc patches
%    Add \MR, \CMP, \URL
\newcommand\AMSPPS[1]{\relax\ifhmode\unskip\spacefactor3000 \space\fi
  \def\@tempa##1-##2-##3-##4\@nil{\AMSPPShref{##1}{##2}{##3}}%
  \@tempa #1-?-?-?\@nil{AMSPPS \##1}}
\let\MRhref\@gobble
\def\AMSPPShref#1#2#3{}
\providecommand\CMP[1]{CMP #1}
\renewcommand\URL{\begingroup
  \def\@sverb##1{%
    \def\@tempa####1##1{\hyphenchar\font=`\/\relax
      \@URL{####1}%
      \hyphenchar\font\m@ne \egroup\endgroup}%
    \@tempa}%
  \verb}

\endinput
